### Method

# Ide DebuggerBreakpoint set_mode

#### Declaration

    void
    ide_debugger_breakpoint_set_mode (
      IdeDebuggerBreakpoint* self,
      IdeDebuggerBreakMode mode
    )

#### Description

Sets the “mode” property for the breakpoint.

This should represent the mode for which the breakpoint is used.

For example, if it is a countpoint (a breakpoint which increments a counter), you would use `IDE_DEBUGGER_BREAK_COUNTPOINT`.

Available since: | 3.32

Sets property | `Ide.DebuggerBreakpoint:mode`

#### Parameters

`mode` | `IdeDebuggerBreakMode`
| An `IdeDebuggerBreakMode`.